function dYfuncvecdV = ODEfun(V,Yfuncvec); 
Ta = Yfuncvec(1); 
T = Yfuncvec(2); 
X = Yfuncvec(3); 
% Explicit equations
FAo = 0.0376; 
Cpa = 163; 
delCp = -9; 
Cao = 18.8; 
To = 1035; 
deltaH = 80770 + delCp * (T - 298); 
ra = 0 - (Cao * 3.58 * exp(34222 * (1 / To - (1 / T))) * (1 - X) * (To / T)) / (1 + X); 
rate = 0 - ra; 
UA = 16500 * 0; 
mc = 0.111; 
Cpc = 34.5; 
% Differential equations
dTadV = UA * (T - Ta) / mc / Cpc; 
dTdV = (ra * deltaH - (UA * (T - Ta))) / (FAo * (Cpa + X * delCp)); 
dXdV = 0 - (ra / FAo); 
dYfuncvecdV = [dTadV; dTdV; dXdV]; 

 